Bug 14617 - Add indexes for MARC 020$z => ISBN, 022$y, 022$z => ISSN
Summary: Add indexes for MARC 020$z => ISBN, 022$y, 022$z => ISSN
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Barton Chittenden
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-29 14:42 UTC by Barton Chittenden
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z (3.47 KB, patch)
2015-08-07 14:22 UTC, Barton Chittenden
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14617: Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z (3.53 KB, patch)
2015-09-16 14:50 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14617: Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z (3.49 KB, patch)
2015-10-06 13:27 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14617: Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z (3.80 KB, patch)
2015-10-15 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2015-07-29 14:42:07 UTC
Add indexes for Canceled and Invalid ISBN (020$z), Incorrect ISSN (022$y), Cancelled ISSN (022$z).

Not having these indexed means that it is impossible to pick up a physical copy of a book or serial with a cancelled ISBN or ISSN and search for it by ISBN or ISSN in Koha. 

See

http://www.loc.gov/marc/bibliographic/bd020.html
http://www.loc.gov/marc/bibliographic/bd022.html
Comment 1 Tomás Cohen Arazi 2015-07-29 20:37:24 UTC
What index will u use? I'd suggest reusing the
Comment 2 Barton Chittenden 2015-07-29 20:44:53 UTC
Tomas,

I'm planning on re-using the existing ISBN and ISSN indexes -- I'm simply looking to extend what's there, and I don't want to mess around with the bib1 and ccl configuration.
Comment 3 Tomás Cohen Arazi 2015-07-29 20:46:41 UTC
Yeah, I was about to discard my message (hence its incompleteness) but clicked to be cc-ed by this bug and it applied my comment :-D
Comment 4 Barton Chittenden 2015-08-07 14:22:07 UTC Comment hidden (obsolete)
Comment 5 Barton Chittenden 2015-09-16 14:50:17 UTC Comment hidden (obsolete)
Comment 6 Barton Chittenden 2015-09-16 14:51:54 UTC
Comment on attachment 41429 [details] [review]
Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z

Obsoleted by following patch.
Comment 7 Barton Chittenden 2015-10-01 18:44:05 UTC
Just to be clear, this is ready for QA.
Comment 8 Jonathan Druart 2015-10-06 11:10:14 UTC
Barton, you should fix the author's patch.
Comment 9 Barton Chittenden 2015-10-06 12:09:14 UTC
(In reply to Jonathan Druart from comment #8)
> Barton, you should fix the author's patch.

Jonathan,

I don't think that there's anything wrong with the patch ... I signed off on the patch for our partner library [we ran a demo for them], and I forgot to obsolete the un-signed patch when I submitted it.

Test plan:

1) Import MARC21 bibs containing

- ISBN in 020$z
- ISSN in 022$y
- ISSN in 022$z

2) Make sure that bibs are indexed

3) Search by ISBN and ISSN above -- bibs should not show in search.

4) Apply patch, re-index

5) Search again; ISBN in 020$z and ISSN in 022$y and 022$z should return results.
Comment 10 Jonathan Druart 2015-10-06 12:48:05 UTC
(In reply to Barton Chittenden from comment #9)
> (In reply to Jonathan Druart from comment #8)
> > Barton, you should fix the author's patch.
> 
> Jonathan,
> 
> I don't think that there's anything wrong with the patch ... I signed off on
> the patch for our partner library [we ran a demo for them], and I forgot to
> obsolete the un-signed patch when I submitted it.

The author's patch is "From: Koha instance bug_14617-koha
 <bug_14617-koha@bwsdev.bywatersolutions.com>"
Comment 11 Barton Chittenden 2015-10-06 13:27:05 UTC Comment hidden (obsolete)
Comment 12 Barton Chittenden 2015-10-06 13:28:06 UTC
(In reply to Jonathan Druart from comment #10)
> (In reply to Barton Chittenden from comment #9)
> > (In reply to Jonathan Druart from comment #8)
> > > Barton, you should fix the author's patch.
> > 
> > Jonathan,
> > 
> > I don't think that there's anything wrong with the patch ... I signed off on
> > the patch for our partner library [we ran a demo for them], and I forgot to
> > obsolete the un-signed patch when I submitted it.
> 
> The author's patch is "From: Koha instance bug_14617-koha
>  <bug_14617-koha@bwsdev.bywatersolutions.com>"

Fixed author of patch.
Comment 13 Barton Chittenden 2015-10-14 17:30:21 UTC
(In reply to Barton Chittenden from comment #12)
> (In reply to Jonathan Druart from comment #10)

> > 
> > The author's patch is "From: Koha instance bug_14617-koha
> >  <bug_14617-koha@bwsdev.bywatersolutions.com>"
> 
> Fixed author of patch.

Jonathan, can you take a quick look at this? I fixed the 'author' and 'email' on the patch.

Thanks,

--Barton
Comment 14 Jonathan Druart 2015-10-15 09:58:38 UTC
Created attachment 43422 [details] [review]
Bug 14617: Add fields to ISBN and ISSN indexes: 020$z, 022$y, 022$z

1) Import MARC21 bibs containing

- ISBN in 020$z
- ISSN in 022$y
- ISSN in 022$z

2) Make sure that bibs are indexed

3) Search by ISBN and ISSN above -- bibs should not show in search.

4) Apply patch, re-index

5) Search again; ISBN in 020$z and ISSN in 022$y and 022$z should return
results.

Signed-off-by: kholten@switchinc.org
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Tomás Cohen Arazi 2015-10-19 13:47:51 UTC
Patch pushed to master.

Thanks Barton!